Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class ClaimItem

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.ClaimItem

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CardTemplateItem

public class ClaimItem
extends BaseEntity
implements Serializable

Author:
  Alexander Yuhimenko
See Also:
  Serialized Form

Constructor Summary
`ClaimItem()`

Method Summary
`String` | `getClaimType()`
`ClaimItem[]` | `getContainerValue()`
`String` | `getDescription()`
`ArrayList` | `getErrorList()`
`String` | `getId()`
`String` | `getValue()`
`int` | `getValueType()`
`String` | `getValueTypeProperty()`
`boolean` | `isChecked()`
`boolean` | `isValueRequired()`
`boolean` | `isVisible()`
`void` | `setChecked(boolean checked)`
`void` | `setClaimType(String claimType)`
`void` | `setContainerValue(ClaimItem[] containerValue)`
`void` | `setDescription(String description)`
`void` | `setErrorList(ArrayList errorList)`
`void` | `setId(String id)`
`void` | `setValue(String value)`
`void` | `setValueRequired(boolean isValueRequired)`
`void` | `setValueType(int valueType)`
`void` | `setValueTypeProperty(String valueTypeProperty)`
`void` | `setVisible(boolean visible)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClaimItem

    public ClaimItem()

Method Detail

### getId

    public String getId()

  Returns:
    the id

### setId

    public void setId(String id)

  Parameters:
    `id` - the id to set

### getDescription

    public String getDescription()

  Returns:
    the description

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - the description to set

### isValueRequired

    public boolean isValueRequired()

  Returns:
    the isValueRequired

### setValueRequired

    public void setValueRequired(boolean isValueRequired)

  Parameters:
    `isValueRequired` - the isValueRequired to set

### getValue

    public String getValue()

  Returns:
    the value

### setValue

    public void setValue(String value)

  Parameters:
    `value` - the value to set

### getValueType

    public int getValueType()

  Returns:
    the valueType

### setValueType

    public void setValueType(int valueType)

  Parameters:
    `valueType` - the valueType to set

### isChecked

    public boolean isChecked()

  Returns:
    the checked

### setChecked

    public void setChecked(boolean checked)

  Parameters:
    `checked` - the checked to set

### getErrorList

    public ArrayList getErrorList()

  Returns:
    the errorList

### setErrorList

    public void setErrorList(ArrayList errorList)

  Parameters:
    `errorList` - the errorList to set

### getContainerValue

    public ClaimItem[] getContainerValue()

  Returns:
    the containerValue

### setContainerValue

    public void setContainerValue(ClaimItem[] containerValue)

  Parameters:
    `containerValue` - the containerValue to set

### getClaimType

    public String getClaimType()

  Returns:
    the claimType

### setClaimType

    public void setClaimType(String claimType)

  Parameters:
    `claimType` - the claimType to set

### getValueTypeProperty

    public String getValueTypeProperty()

  Returns:
    the valueTypeProperty

### setValueTypeProperty

    public void setValueTypeProperty(String valueTypeProperty)

  Parameters:
    `valueTypeProperty` - the valueTypeProperty to set

### isVisible

    public boolean isVisible()

  Returns:
    the visible

### setVisible

    public void setVisible(boolean visible)

  Parameters:
    `visible` - the visible to set

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD